Bug 443102 - repoquery: raw time_t is not particularly friendly
repoquery: raw time_t is not particularly friendly
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-18 13:07 EDT by Bill Nottingham
Modified: 2014-03-16 23:14 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-18 13:38:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2008-04-18 13:07:24 EDT
Description of problem:

# repoquery  -q --qf "%{NAME} %{BUILDTIME}\n" thunderbird
thunderbird 1207609453

Format, plz?

Version-Release number of selected component (if applicable):

yum-utils-1.1.13-2.fc9.noarch
Comment 1 James Antill 2008-04-18 13:35:17 EDT
changing this to ISO time: Ie. "2008-01-31 14:01:02" should be enough, we'll
keep sorting etc. then and it's "easy" to parse.
Comment 2 James Antill 2008-04-18 13:38:04 EDT
 Bah ... this is already done

repoquery --qf '%{name} %{buildtime:day}' ustr
repoquery --qf '%{name} %{buildtime:date}' ustr

...the former uses "%a %b %d %Y" and the later uses ctime(), having ISO might be
useful too but, meh.

Note You need to log in before you can comment on or make changes to this bug.